package org.ts.ddcs.DataSaveProcesser;

import org.ts.ddcs.DataTemplate.DataTemplateInterface;
import org.ts.ddcs.Log.LogHelper;
import org.ts.ddcs.Tool.BytesHelp;

@SuppressWarnings("all")
public class DataSaveProcesserSzyC02 extends DataSaveProcesser {
    @Override
    public void Save(DataTemplateInterface dataTemplateInterface) {
        super.Save(dataTemplateInterface);
        try {
            String rtuCode = BytesHelp.byte2HexStr(dataTemplateInterface.RtuCode());
            LogHelper.info("SAVE:" + dataTemplateInterface.GetFeture() + " " + rtuCode);

        } catch (Exception e) {
            LogHelper.error(e);
        }
    }
}
